## org.apache.poi.hdgf.pointers
Class PointerV6

    java.lang.Object
      org.apache.poi.hdgf.pointers.Pointer
          org.apache.poi.hdgf.pointers.PointerV6

    public final class PointerV6

extends Pointer

A Pointer from v6+

Field Summary

Fields inherited from class org.apache.poi.hdgf.pointers.Pointer
`address, format, length, offset, type`

Constructor Summary
`PointerV6()`

Method Summary
`boolean` `destinationCompressed()`
`boolean` `destinationHasChunks()`
`boolean` `destinationHasPointers()`
`boolean` `destinationHasStrings()`
`int` `getSizeInBytes()` With v6 pointers, the on-disk size is 18 bytes

Methods inherited from class org.apache.poi.hdgf.pointers.Pointer
`getAddress, getFormat, getLength, getOffset, getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PointerV6

    public PointerV6()

Method Detail

### destinationHasStrings

    public boolean destinationHasStrings()

  Specified by:
    `destinationHasStrings` in class `Pointer`

### destinationHasPointers

    public boolean destinationHasPointers()

  Specified by:
    `destinationHasPointers` in class `Pointer`

### destinationHasChunks

    public boolean destinationHasChunks()

  Specified by:
    `destinationHasChunks` in class `Pointer`

### destinationCompressed

    public boolean destinationCompressed()

  Specified by:
    `destinationCompressed` in class `Pointer`

### getSizeInBytes

    public int getSizeInBytes()

  With v6 pointers, the on-disk size is 18 bytes

  Specified by:
    `getSizeInBytes` in class `Pointer`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.